#
# spec file for package fslsfonts
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fslsfonts
Version:        1.0.5
Release:        bp155.2.10
Summary:        Utility to list fonts served by X font server
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libfs)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
fslsfonts lists the fonts that match the given pattern.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/fslsfonts
%{_mandir}/man1/fslsfonts.1%{?ext_man}

%changelog
* Sat Jan  3 2015 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.0.5:
  This minor maintenance release provides the usual set of
  accumulated build configuration improvements, compiler warning
  fixes, and janitorial cleanups.
* Mon Apr 23 2012 vuntz@opensuse.org
- Update to version 1.0.4:
  + Compiler warning fixes.
  + Janitorial cleanups.
  + Build configuration improvements.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split fslsfonts from xorg-x11. Initial version: 1.0.3.
